View Issue Details

IDCategoryLast Update
0008591bugs2021-04-13 10:17
ReporterdthAssigned To 
Reproducibilityalways 
Status closedResolutionfixed 
PlatformMicrosoftOSWindowsOS Version10
Product Version6.5 
Fixed in Version 
Summary0008591: Ardour Version 6.6.56 crashes on project load with Steinberg Groove Agent 5 VST3.
DescriptionGroove Agent VST2 is fine.
Using VSt3 crashes on project load.
Steps To ReproduceAdd VST3 version of Steinberg Groove Agent 5.
All other tested Steinberg VST3 plugins work fine.
Close and attempt to load project.
Additional InformationAttached is a log file from debug version of 6.6.56
TagsNo tags attached.

Activities

dth

2021-02-26 13:42

reporter  

Ardour-6.6.56-crash-1614345718.txt (12,943 bytes)
-------------------

Error occurred on Friday, February 26, 2021 at 07:22:53.

Ardour.exe caused an Access Violation at location 00000000740AD0C7 in module Groove Agent.vst3 Writing to location 0000000000000318.

AddrPC           Params
00000000740AD0C7 00000000E98DAFC0 00000000493D1B70 0000000000000001  Groove Agent.vst3!VSTPluginMainEx
00000000740AC339 00000000E98DAFC0 0000000000000001 0000000000000001  Groove Agent.vst3!VSTPluginMainEx
0000000074332FEE 0000000000000000 00000000E98DAFC0 0000000000000001  Groove Agent.vst3!ACFGetSDKVersion
0000000074303165 00000000493D1B50 0000000000000001 0000000000000001  Groove Agent.vst3!ACFGetSDKVersion
00000000743028CD 0000000000000000 00000000ACCEC748 0000000000000019  Groove Agent.vst3!ACFGetSDKVersion
000000007437C234 000000004942C91B 000000004942C91B 000000004942C91B  Groove Agent.vst3!ACFGetSDKVersion
000000007440BCE5 0000000000003E9F 0000000000000113 000000004942C91B  Groove Agent.vst3!ACFGetSDKVersion
00000000744B6E27 0000000016F1D700 0000000000000000 0000000000000000  Groove Agent.vst3!ACFGetSDKVersion
00000000745ED7F0 0000000000000001 00007FF8A9ACA3E0 0000000000000001  Groove Agent.vst3!ACFGetSDKVersion
00000000745FB03B 0000000000000001 0000000000000000 0000000080006011  Groove Agent.vst3!ACFGetSDKVersion
00007FF8A9ACE858 0000000000003DFF 00000000745FA7F0 0000000000110798  USER32.dll!CallWindowProcW
00007FF8A9ACE299 00000000745FA7F0 000000002AE57000 0000000016F1DF10  USER32.dll!DispatchMessageW
000000006C392B55 0000000000000000 0000000068606D1A 000000002DDBBCD0  libgdk-win32-2.0-0.dll!gdk_event_dispatch
0000000068607613 0000000000000000 0000000055B106C0 0000000000000000  libglib-2.0-0.dll!g_main_context_dispatch
00000000686078CC 0000000000000000 00007FF8AB2EBA51 0000013937D3B0C9  libglib-2.0-0.dll!g_main_context_iterate.isra.26
0000000068607CAD 0000000058FEFA20 0000000000000006 0000000058FEFDE0  libglib-2.0-0.dll!g_main_context_iteration
00000000618A4AD1 000000002DCCD020 0000000016F1E760 0000000016F1E1C0  libgtk-win32-2.0-0.dll!gtk_main_iteration
000000002826E0C9 0000000000000000 0000000000071680 0000000016F1E830  gtkmm2ext-0.dll!flush_pending  [/home/ardour/ardour-w64-dbg/build/../libs/gtkmm2ext/gtk_ui.cc @ 780]
00000000004842C5 00000000000000C8 0000000043D9D120 0000000052F96120  Ardour.exe!load_session_stage_two  [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/ardour_ui_session.cc @ 523]
000000000048552C 0000000000000028 000000002DCCD020 000000002DCCD020  Ardour.exe!load_session  [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/ardour_ui_session.cc @ 358]
0000000000487855 0000000000000000 0000000063A48FFD 0000000016F1EC70  Ardour.exe!session_dialog_response_handler  [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/ardour_ui_session.cc @ 291]
0000000000D842E3 0000000000020002 0000000052590040 0000000000000000  Ardour.exe!call_it  [/home/ardour/ardour-w64-dbg/build/../libs/gtkmm2ext/gtkmm2ext/doi.h @ 35]
000000001761D5A6 000000002ADE0000 00000000FFFFFFFD 0000000000010000  libgtkmm-2.4-1.dll!(anonymous namespace)::Dialog_signal_response_callback
0000000063A46DBC 0000000000000000 000000002D2EF6E0 000000002ADE02B0  libgobject-2.0-0.dll!g_closure_invoke
0000000063A59BE8 000000002DD94AF0 0000000000000000 000000002D2EF6E0  libgobject-2.0-0.dll!signal_emit_unlocked_R
0000000063A63049 000000002D2EF6E0 000000002AE57000 0804750400000000  libgobject-2.0-0.dll!g_signal_emit_valist
0000000063A631F8 4078700000000000 0000000063A4B06F 0000000000000201  libgobject-2.0-0.dll!g_signal_emit
00000000617FA4A4 0000000052FEA340 0000000000000000 000000005258D478  libgtk-win32-2.0-0.dll!gtk_dialog_response
0000000000A93C5D 000004B000000004 00007FF8A9ACC260 0000000000000000  Ardour.exe!open_button_pressed  [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/session_dialog.cc @ 541]
0000000000D85F80 0000000000000000 00007FF8A9ACC9BB 0000000200000000  Ardour.exe!call_it  [/home/ardour/ardour-w64-dbg/build/../../win-stack-w64/include/sigc++-2.0/sigc++/functors/mem_fun.h @ 1856]
00000000176BF07D 0000000000000000 0000000059098540 0000000000000000  libgtkmm-2.4-1.dll!(anonymous namespace)::Widget_signal_button_press_event_callback
00000000618A7276 000000002AF70000 000000002ADE0000 0000000000000000  libgtk-win32-2.0-0.dll!_gtk_marshal_BOOLEAN__BOXED
0000000063A46DBC 0000000000000000 0000000052FEA330 0000000000000000  libgobject-2.0-0.dll!g_closure_invoke
0000000063A598F2 000000002DDBC470 0000000000000000 0000000052FEA330  libgobject-2.0-0.dll!signal_emit_unlocked_R
0000000063A62C1C 0000000052FEA330 0000000061A3474A 0000000000000000  libgobject-2.0-0.dll!g_signal_emit_valist
0000000063A631F8 00007FF8A9241064 0000000063A4CEFC 0000000052FEA330  libgobject-2.0-0.dll!g_signal_emit
0000000061A34C3D 0000000016F1F518 0000000061A382EE 0000000016F1F518  libgtk-win32-2.0-0.dll!gtk_widget_event_internal
00000000618A5791 0000000016F1F590 0000000068636E4C 000000006C3973E0  libgtk-win32-2.0-0.dll!gtk_propagate_event
00000000618A5C7B 000000006C3973E0 000000002AE57000 0000000016F1F590  libgtk-win32-2.0-0.dll!gtk_main_do_event
000000006C392ACC 0000000000000000 00007FF8AB2EBA51 000001392E1C395F  libgdk-win32-2.0-0.dll!gdk_event_dispatch
0000000068607613 0000000000000000 0000000016F1FB40 0000000000000028  libglib-2.0-0.dll!g_main_context_dispatch
00000000686078CC 0000000000000000 0000000000AE84B0 0000000000000010  libglib-2.0-0.dll!g_main_context_iterate.isra.26
0000000068608093 000000002D243920 0000000016F1FB00 000000003CCCB4B0  libglib-2.0-0.dll!g_main_loop_run
00000000618A48C0 0000000000000000 0000000000000020 0000000000B91FF6  libgtk-win32-2.0-0.dll!gtk_main
0000000028270761 0000000000000001 00000000644018C0 0000000000000000  gtkmm2ext-0.dll!run  [/home/ardour/ardour-w64-dbg/build/../libs/gtkmm2ext/gtk_ui.cc @ 310]
00000000007B29A3 0000000000000001 000000002AE809D0 0000000001271508  Ardour.exe!main  [/home/ardour/ardour-w64-dbg/build/../gtk2_ardour/main.cc @ 410]
00000000004013E8 0000000000000000 0000000000000000 0000000000000000  Ardour.exe!__tmainCRTStartup  [/tmp/buildd/mingw-w64-3.2.0/build/x86_64-w64-mingw32-x86_64-w64-mingw32-crt/../../mingw-w64-crt/crt/crtexe.c @ 332]
00000000004014EB 0000000000000000 0000000000000000 0000000000000000  Ardour.exe!WinMainCRTStartup  [/tmp/buildd/mingw-w64-3.2.0/build/x86_64-w64-mingw32-x86_64-w64-mingw32-crt/../../mingw-w64-crt/crt/crtexe.c @ 184]
00007FF8AB2E7034 0000000000000000 0000000000000000 0000000000000000  KERNEL32.DLL!BaseThreadInitThunk
00007FF8AB442651 0000000000000000 0000000000000000 0000000000000000  ntdll.dll!RtlUserThreadStart

Ardour.exe
ntdll.dll   	6.2.19041.844
KERNEL32.DLL	6.2.19041.804
KERNELBASE.dll	6.2.19041.804
GDI32.dll   	6.2.19041.746
win32u.dll  	6.2.19041.844
gdi32full.dll	6.2.19041.746
msvcp_win.dll	6.2.19041.789
ucrtbase.dll	6.2.19041.789
USER32.dll  	6.2.19041.746
msvcrt.dll  	7.0.19041.546
libatkmm-1.6-1.dll
libcairo-2.dll
libcairomm-1.0-1.dll
libcurl-4.dll
libgdk-win32-2.0-0.dll	2.24.25.0
libfftw3f-3.dll
libfontconfig-1.dll
ADVAPI32.dll	6.2.19041.610
IMM32.dll   	6.2.19041.546
sechost.dll 	6.2.19041.789
ole32.dll   	6.2.19041.746
RPCRT4.dll  	6.2.19041.746
combase.dll 	6.2.19041.844
CRYPT32.dll 	6.2.19041.844
WLDAP32.dll 	6.2.19041.546
SHELL32.dll 	6.2.19041.844
WS2_32.dll  	6.2.19041.546
libgdkmm-2.4-1.dll
libglib-2.0-0.dll	2.42.0.0
libglibmm-2.4-1.dll
libgtk-win32-2.0-0.dll	2.24.25.0
libgobject-2.0-0.dll	2.42.0.0
comdlg32.dll	6.2.19041.844
shcore.dll  	6.2.19041.746
SHLWAPI.dll 	6.2.19041.746
liblo-7.dll
libintl-8.dll	0.19.3.0
libpango-1.0-0.dll	1.40.4.0
libpangocairo-1.0-0.dll	1.40.4.0
libpangoft2-1.0-0.dll	1.40.4.0
libpangomm-1.4-1.dll
pthreadGC2.dll	2.9.1.0
libsigc-2.0-0.dll
libxml2-2.dll
lilv-0.dll
libgcc_s_seh-1.dll
libstdc++-6.dll
suil-0.dll
audiographer-0.dll
evoral-0.dll
temporal-0.dll
waveview-0.dll
libatk-1.0-0.dll	2.14.0.0
libfreetype-6.dll
libpixman-1-0.dll
libpng16-16.dll
MSIMG32.dll 	6.2.19041.546
zlib1.dll   	1.2.7.0
WINMM.dll   	6.2.19041.546
libgmodule-2.0-0.dll	2.42.0.0
libffi-6.dll
COMCTL32.dll	5.82.19041.844
WINSPOOL.DRV	6.2.19041.746
IPHLPAPI.DLL	6.2.19041.546
libiconv-2.dll	1.14.0.0
libharfbuzz-0.dll
libpangowin32-1.0-0.dll	1.40.4.0
sord-0.dll
sratom-0.dll
libsamplerate-0.dll
libsndfile-1.dll	1.0.27.0
USP10.dll   	6.2.19041.546
libvorbis-0.dll
libFLAC-8.dll
libogg-0.dll
libvorbisenc-2.dll
libgtkmm-2.4-1.dll
ardour-3.dll
canvas-0.dll
gtkmm2ext-0.dll
midipp-4.dll
pbd-4.dll
ardourcp.dll
widgets-0.dll
libgdk_pixbuf-2.0-0.dll	2.31.1.0
ptformat-0.dll
libgio-2.0-0.dll	2.42.0.0
serd-0.dll
libgiomm-2.4-1.dll
libjpeg-9.dll
DNSAPI.dll  	6.2.19041.746
libarchive-13.dll
libtiff-5.dll
libgnurx-0.dll
libtag.dll
libfftw3-3.dll
liblzma-5.dll	5.2.2.0
NSI.dll     	6.2.19041.610
windows.storage.dll	6.2.19041.844
Wldp.dll    	6.2.19041.662
kernel.appcore.dll	6.2.19041.546
bcryptPrimitives.dll	6.2.19041.662
uxtheme.dll 	6.2.19041.746
hooxpot64.dll	1.6.11.0
OLEAUT32.dll	6.2.19041.804
CFGMGR32.dll	6.2.19041.546
clbcatq.dll 	2001.12.10941.16384
propsys.dll 	7.0.19041.746
profapi.dll 	6.2.19041.844
secur32.dll 	6.2.19041.546
SSPICLI.DLL 	6.2.19041.662
mswsock.dll 	6.2.19041.546
exchndl.dll 	0.9.2.0
PSAPI.DLL   	6.2.19041.546
VERSION.dll 	6.2.19041.546
mgwhelp.dll 	0.9.2.0
dbghelp.dll 	6.2.19041.804
dbgcore.DLL 	6.2.19041.789
CRYPTSP.dll 	6.2.19041.546
rsaenh.dll  	6.2.19041.546
bcrypt.dll  	6.2.19041.662
CRYPTBASE.dll	6.2.19041.546
avrt.dll    	6.2.19041.546
ardour_cc121.dll
ardour_contourdesign.dll
libusb-1.0.dll	1.0.20.11004
SetupAPI.dll	6.2.19041.844
WinUSB.DLL  	6.2.19041.1
hid.dll     	6.2.19041.546
ardour_faderport.dll
ardour_faderport16.dll
ardour_faderport2.dll
ardour_faderport8.dll
ardour_generic_midi.dll
ardour_launch_control_xl.dll
ardour_mcp.dll
ardour_osc.dll
ardour_push2.dll
ardour_us2400.dll
ardour_websockets.dll
libwebsockets.dll	4.0.15.0
pan1in2out.dll
pan2in2out.dll
panbalance.dll
panvbap.dll
dummy_audiobackend.dll
portaudio_callback_backend.dll
libportaudio-2.dll
libclearlooks.la
rasadhlp.dll	6.2.19041.546
fwpuclnt.dll	6.2.19041.844
TextShaping.dll
winmmbase.dll	6.2.19041.1
MMDevAPI.DLL	6.2.19041.789
DEVOBJ.dll  	6.2.19041.546
wdmaud.drv  	6.2.19041.1
ksuser.dll  	6.2.19041.1
AUDIOSES.DLL	6.2.19041.789
powrprof.dll	6.2.19041.546
UMPDC.dll
msacm32.drv 	6.2.19041.488
MSACM32.dll 	6.2.19041.1
midimap.dll 	6.2.19041.488
resourcepolicyclient.dll	6.2.19041.546
fireface_asio_64.dll	3.1.25.0
VCRUNTIME140.dll	14.24.28127.4
WINTRUST.dll	6.2.19041.804
MSASN1.dll  	6.2.19041.546
decklink audio64.dll	12.0.0.0
MSVCP140.dll	14.24.28127.4
asioglld.dll	1.0.12.17
MSCTF.dll   	6.2.19041.844
textinputframework.dll	6.2.19041.844
CoreUIComponents.dll	6.2.19041.546
CoreMessaging.dll	6.2.19041.746
ntmarta.dll 	6.2.19041.546
wintypes.dll	6.2.19041.844
audiokse.dll	6.2.19041.804
icusbaudioasio_x64.dll	4.82.0.0
nimc3asio64.dll	5.0.1.61
RDAS1121.DLL	1.0.0.0
rthdasio64.dll	3.0.0.0
msiltcfg.dll	5.0.19041.1
msi.dll     	5.0.19041.844
Comctl32.dll	6.10.19041.844
srpapi.dll  	6.2.19041.546
SXS.DLL     	6.2.19041.546
yfwasio64.dll	1.2.1.0
winhttp.dll 	6.2.19041.844
WindowsCodecs.dll	6.2.19041.546
Windows.UI.dll	6.2.19041.746
InputHost.dll	6.2.19041.746
WindowManagementAPI.dll
twinapi.appcore.dll	6.2.19041.746
mscms.dll   	6.2.19041.746
USERENV.dll 	6.2.19041.572
ColorAdapterClient.dll	6.2.19041.546
icm32.dll   	6.2.19041.546
Band-in-a-Box DAW VST3 Plugin.vst3	3.4.4.0
WININET.dll 	11.0.19041.844
dxcore.dll  	6.2.19041.546
Groove Agent.vst3	5.0.20.207
imagehlp.dll	6.2.19041.546
GLU32.dll   	6.2.19041.844
OPENGL32.dll	6.2.19041.844
dwmapi.dll  	6.2.19041.746
WSOCK32.dll 	6.2.19041.1
gdiplus.dll 	6.2.19041.789
d2d1.dll    	6.2.19041.546
DWrite.dll  	6.2.19041.804
d3d11.dll   	6.2.19041.746
dxgi.dll    	6.2.19041.746
dcomp.DLL   	6.2.19041.746
thumbcache.dll	6.2.19041.746
Riched20.DLL	5.31.23.1231
msls31.dll  	3.10.349.0
SYNSOACC.DLL	1.32.0.1
OLEACC.dll  	7.2.19041.746
oledlg.dll  	6.2.19041.746
napinsp.dll 	6.2.19041.546
pnrpnsp.dll 	6.2.19041.546
wshbth.dll  	6.2.19041.546
NLAapi.dll  	6.2.19041.789
winrnr.dll  	6.2.19041.546
LINKINFO.dll	6.2.19041.546
The Grand 3.vst3	4.2.0.146
Kontakt.dll 	6.5.2.113
CONCRT140.dll	14.24.28127.4
MPR.dll     	6.2.19041.546
DPAPI.DLL   	6.2.19041.546
REX Shared Library 64.dll	1.8.1.40960
wbemprox.dll	6.2.19041.844
wbemcomn.dll	6.2.19041.844
wbemsvc.dll 	6.2.19041.844
fastprox.dll	6.2.19041.546
amsi.dll    	6.2.19041.746
symamsi.dll 	15.7.10.10
AppXDeploymentClient.dll	6.2.19041.844
nvoglv64.dll	27.21.14.5671
WTSAPI32.dll	6.2.19041.546
cryptnet.dll	6.2.19041.546
WINSTA.dll  	6.2.19041.546
dhcpcsvc6.DLL	6.2.19041.546
dhcpcsvc.DLL	6.2.19041.546
webio.dll   	6.2.19041.546
WINNSI.DLL  	6.2.19041.546
Massive.dll 	1.5.5.22
HALion 6.vst3	6.4.0.101
D3D10Warp.dll	6.2.19041.546

Windows 6.2.9200
DrMingw 0.9.2

dth

2021-04-13 10:17

reporter   ~0025706

I'm not sure which build fixed this. Working fine with 6.6.277.

dth

2021-04-13 10:17

reporter   ~0025707

Works for me!

Issue History

Date Modified Username Field Change
2021-02-26 13:42 dth New Issue
2021-02-26 13:42 dth File Added: Ardour-6.6.56-crash-1614345718.txt
2021-04-13 10:17 dth Note Added: 0025706
2021-04-13 10:17 dth Status new => closed
2021-04-13 10:17 dth Resolution open => fixed
2021-04-13 10:17 dth Note Added: 0025707